#pragma once
#include <d3d11.h>
#include <DirectXMath.h>
#include <string>


class master_shader
{
public :

    master_shader();
    master_shader(const master_shader& other) = delete;
    virtual ~master_shader();

    virtual bool initialize(ID3D11Device* device, HWND hwnd) = 0;


protected:
    wchar_t vs_filename_[128], ps_filename_[128];

    wchar_t const* vs_name_ = L"";
    wchar_t const* ps_name_ = L"";
    
    
};
